org.keycloak.saml.common.parsers

## Interface StaxParser

- All Known Implementing Classes:
    AbstractParser, AbstractStaxParser, AbstractStaxSamlAssertionParser, AbstractStaxSamlMetadataParser, AbstractStaxSamlProtocolParser, AbstractStaxXmlDSigParser, AnyDomParser, DsaKeyValueParser, KeyInfoParser, RsaKeyValueParser, SAML11AssertionParser, SAML11RequestParser, SAML11ResponseParser, SAML11SubjectParser, SAMLArtifactResolutionServiceParser, SAMLArtifactResolveParser, SAMLArtifactResponseParser, SAMLAssertinIDRequestServiceParser, SAMLAssertionConsumerServiceParser, SAMLAssertionParser, SAMLAttributeAuthorityDescriptorParser, SAMLAttributeConsumingServiceParser, SAMLAttributeParser, SAMLAttributeParser, SAMLAttributeQueryParser, SAMLAttributeServiceParser, SAMLAttributeStatementParser, SAMLAttributeValueParser, SAMLAudienceRestrictionParser, SAMLAuthnAuthorityDescriptorParser, SAMLAuthnContextParser, SAMLAuthnQueryServiceParser, SAMLAuthNRequestParser, SAMLAuthnStatementParser, SAMLAuthzServiceParser, SAMLConditionsParser, SAMLContactPersonParser, SAMLEncryptedAssertionParser, SAMLEncryptionMethodParser, SAMLEndpointTypeParser, SAMLEntitiesDescriptorParser, SAMLEntityAttributesParser, SAMLEntityDescriptorParser, SAMLExtensionsParser, SAMLExtensionsParser, SAMLIDPSSODescriptorParser, SAMLIndexedEndpointTypeParser, SAMLKeyDescriptorParser, SAMLManageNameIDServiceParser, SAMLNameIDMappingServiceParser, SAMLOrganizationParser, SAMLParser, SAMLPDPDescriptorParser, SAMLProxyRestrictionParser, SAMLRequestAbstractParser, SAMLRequestedAttributeParser, SAMLRequestedAuthnContextParser, SAMLResponseParser, SAMLRoleDecriptorTypeParser, SAMLSingleLogoutServiceParser, SAMLSingleSignOnServiceParser, SAMLSloRequestParser, SAMLSloResponseParser, SAMLSPSSODescriptorParser, SAMLSSODescriptorTypeParser, SAMLStatusCodeParser, SAMLStatusParser, SAMLStatusResponseTypeParser, SAMLSubjectConfirmationDataParser, SAMLSubjectConfirmationParser, SAMLSubjectParser, X509DataParser

      public interface StaxParser

  Interface to indicate the parser.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `parse(XMLEventReader xmlEventReader)` Parse the event stream

- - ### Method Detail

    - #### parse

          Object parse(XMLEventReader xmlEventReader)
                throws ParsingException

      Parse the event stream
      Parameters:
        `xmlEventReader` -
      Returns:
      Throws:
        `ParsingException`

Copyright © 2020 JBoss by Red Hat. All rights reserved.